Prev |  | Next

# FcLangSetHasLang

## Name

FcLangSetHasLang -- test langset for language support

## Synopsis

    #include <fontconfig.h>

``FcLangResult FcLangSetHasLang`(const FcLangSet *ls, const FcChar8 *lang);`

## Description

`FcLangSetHasLang` checks whether `ls` supports `lang`. If `ls` has a matching language and territory pair, this function returns FcLangEqual. If `ls` has a matching language but differs in which territory that language is for, this function returns FcLangDiffentTerritory. If `ls` has no matching language, this function returns FcLangDifferentLang.

## Version

Fontconfig version 2.6.0

Prev | Home | Next
FcLangSetHash | Up | FcGetLangs